For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merchant App Uninstall

  • A MERCHANT_DISCONNECTED webhook is emitted upon successful merchant disconnection.

  • A STORE_DISCONNECTED notification will be sent to the Channel Dashboard.

  • Disconnecting will remove your access to the merchant's offers. To restore access in the future, the merchant will need to complete the Violet Connect process again.

Merchant App Uninstall

post

Send a request to uninstall (disconnect) a Merchant from the given App

Path parameters
app_idinteger · int32Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body

A Request to uninstall/disconnect a merchant from an app

idinteger · int64Read-onlyOptional
app_idinteger · int32Optional

ID of the App to uninstall from

merchant_idinteger · int32Required

ID of Merchant being uninstalled

Responses
default

default response

application/json

Record of Application Install by a Merchant

idinteger · int64Read-onlyOptional
app_idinteger · int32Required

App ID

merchant_idinteger · int32Required

Merchant ID

scopestringOptional

Scope

statusstring · enumOptional

Status

Possible values:
install_sourcestring · enumOptional

Source of the App Install

Possible values:
commission_ratenumber · doubleOptional

Custom commission rate between the channel and supplier.

commission_lockedbooleanOptional

Indicates if the commission rate is locked or not. Commission rates can only be locked or unlocked by a Channel.

date_createdstring · date-timeRead-onlyOptional

Date of creation

date_last_modifiedstring · date-timeRead-onlyOptional

Date of last update

post/apps/{app_id}/merchants/uninstall
default

default response

Last updated

Was this helpful?